Loading...
Searching...
No Matches
dolfin::BisectionRefinement1D Class Reference

This class implements mesh refinement in 1D. More...

`#include <BisectionRefinement1D.h>`

## Static Public Member Functions

static void | refine (Mesh &refined_mesh, const Mesh &mesh, const MeshFunction< bool > &cell_markers, bool redistribute=false)
static void | refine (Mesh &refined_mesh, const Mesh &mesh, bool redistribute=false)

## Detailed Description

This class implements mesh refinement in 1D.

## Member Function Documentation

## refine() [1/2]

void BisectionRefinement1D::refine | ( | Mesh & | refined_mesh,
|  | const Mesh & | mesh,
|  | bool | redistribute = false )

static

Refine mesh uniformly

Parameters

  refined_mesh | (Mesh)
  mesh | (const Mesh)
  redistribute | (bool)

## refine() [2/2]

void BisectionRefinement1D::refine | ( | Mesh & | refined_mesh,
|  | const Mesh & | mesh,
|  | const MeshFunction< bool > & | cell_markers,
|  | bool | redistribute = false )

static

Refine mesh based on cell markers

Parameters

  refined_mesh | (Mesh)
  mesh | (const Mesh)
  cell_markers | (const MeshFunction<bool>)
  redistribute | (bool)

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/refinement/BisectionRefinement1D.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/refinement/BisectionRefinement1D.cpp